Packages - Bug #2916

Freedom Issue # 2890 (confirmed): [octopi:]: various issues

[filesystem]: missing symlink /etc/os-release --> ../usr/lib/os-release
2020-10-26 02:03 AM - bill-auger

Status: not-a-bug % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

the 'filesystem' package no longer installs /etc/os-release; only /etc/parabola-release - parabola-release is an empty file, as is
/etc/arch-release in arch - only /usr/lib/os-release contains the appropriate information; as it should, according to the manual -
applications should check /ust/lib/os-release if /etc/os-release is not present, but many do not - /etc/os-release should be a relative
symlink to ../usr/lib/os-release

https://www.freedesktop.org/software/systemd/man/os-release.html

this is causing some programs to misbehave - octopi for example, is presenting the archlinux news feed instead of parabola

$ 1ls -1 /etc/os-release
1s: cannot access '/etc/os-release': No such file or directory

$ 1s -1 /etc/parabola-release
-rw-r——r—— 1 root root 0 Sep 27 22:37 /etc/parabola-release

$ cat /etc/parabola-release

$ pkgfile -1 nonsystemd/filesystem | grep os-release
nonsystemd/filesystem /usr/lib/os-release

$ pkgfile -1 libre/filesystem | grep os-release
libre/filesystem /usr/lib/os-release

$ cat /usr/lib/os-release

NAME="Parabola"

PRETTY_ NAME="Parabola GNU/Linux-libre"
ID=parabola

ID_LIKE=arch

BUILD_ID=rolling

ANSI_COLOR="1;35"
HOME_URL="https://www.parabola.nu/"
DOCUMENTATION_URL="https://wiki.parabola.nu/"
SUPPORT_URL="irc://chat.freenode.net#parabola"
BUG_REPORT_URL="https://labs.parabola.nu/"
LOGO=parabola

History

#1 - 2020-10-26 02:05 AM - bill-auger
- Parent task set to #2890

#2 - 2020-11-04 11:18 AM - oaken-source
there's an upstream bug report about this:
https://bugs.archlinux.org/task/64974

and a forum post probably by the same person:
https://bbs.archlinux.org/viewtopic.php?id=251724

the consensus there is

The last time the filesystem package owned /etc/os-release was in mid-2014.
https://www.freedesktop.org/software/systemd/man/os-release.html
https://bugs.archlinux.org/task/64974
https://bbs.archlinux.org/viewtopic.php?id=251724

and

The link does not belong to any package, it is created by systemd:

quoted excerpt from /usr/lib/tmpfiles.d/etc.conf:

$ cat /usr/lib/tmpfiles.d/etc.conf
# [...]
L /etc/os-release - - - - ../usr/lib/os-release

Is this problem maybe only occurring on openrc installations, where the tmpfiles.d handling might be defective?

#3 - 2020-12-03 09:00 AM - bill-auger

yea, probably it is a non-systemd issue - i noticed it recently,
since i started using parabola non-systemd daily, from a fresh
install - before ~6 months ago i had been using systemd

#4 - 2022-05-07 02:29 PM - Zuss

Looks to be fixed, on a relatively new install | can view the contents just fine

$ cat /etc/os-release

NAME="Parabola"

PRETTY_NAME="Parabola GNU/Linux-libre"
ID=parabola

ID_LIKE=arch

BUILD_ID=rolling

ANSI_COLOR="1;35"
HOME_URL="https://www.parabola.nu/"
DOCUMENTATION_URL="https://wiki.parabola.nu/"
SUPPORT_URL="irc://irc.libera.chat/#parabola"
BUG_REPORT_URL="https://labs.parabola.nu/"
LOGO=parabola

#5 - 2022-05-09 03:30 PM - bill-auger
- Assignee set to bill-auger

- Status changed from confirmed to not-a-bug

yes this is not a problem anymore
